CREATE TABLE wines (
	name string,
	rating int, 	-- number of stars
	picture blob,	-- jpeg/png image of the label on the bottle
	country string (len(country) == 2 || country IS NULL)	-- ISO2 country code
);

CREATE TABLE comments (
	content string,
	wine int (wine IN (SELECT id(wines) FROM wines))
);

CREATE TABLE state (
	key string,
	val string
);

CREATE UNIQUE INDEX state_key ON state (key);

CREATE TABLE users (
	name string,
	password string -- salted and hashed
);

CREATE UNIQUE INDEX users_name ON users (name);